Get

View as MarkdownOpen in Claude
Returns the specified file request. **Required scope:** `file_requests.read` **Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints) **Authentication:** [User](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#user-authentication)

Authentication

AuthorizationBearer
OAuth 2.0 token issued to a specific user. Use `Authorization: Bearer <token>`. Public clients should use the authorization code flow with PKCE (S256). For background or offline access, send `token_access_type=offline` during authorization and use the returned refresh token to obtain new access tokens. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

Headers

Dropbox-API-Select-UserstringOptional

Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.

Dropbox-API-Path-RootstringOptional
Scopes path-based operations to a namespace (root). The value is a JSON serialization of the `common.PathRoot` union: `{".tag": "home"}`, `{".tag": "root", "root": "<namespace_id>"}`, or `{".tag": "namespace_id", "namespace_id": "<namespace_id>"}`. On failure the request returns 422 with a `common.PathRootError`.

Request

This endpoint expects an object.
idstringRequiredformat: "[-_0-9a-zA-Z]+">=1 character
The ID of the file request to retrieve.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
createddatetime
When this file request was created.
file_countlong
The number of files this file request has received.
idstringformat: "[-_0-9a-zA-Z]+">=1 character
The ID of the file request.
is_openboolean
Whether or not the file request is open. If the file request is closed, it will not accept any more file submissions.
titlestring>=1 character
The title of the file request.
urlstring>=1 character
The URL of the file request.
deadlineobject or nullOptional
The deadline for this file request. Only set if the request has a deadline.
descriptionstring or nullOptional
A description of the file request.
destinationstring or nullOptionalformat: "\/(.|[\r\n])*"

The path of the folder in the Dropbox where uploaded files will be sent. This can be null if the destination was removed. For apps with the app folder permission, this will be relative to the app folder.

video_project_idstring or nullOptional
If this request was created from video project, its id.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error